* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
}

html{
    scroll-behavior: smooth;
}

.hidden {
    display: none;
}

.tx-l{
    text-align: left;
}
.tx-r{
    text-align: right;
}
.tx-c{
    text-align: center;
}
.tx-b{
    font-weight: bold;
}

.animate-top {
    position: relative;
    animation: animatetop 0.4s
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 0;
        opacity: 1
    }
}

input {
    color: #000000;
    padding: 5px;
    outline: none;
    font-size: 15px;
    border-radius: 7px;
    border: 1px solid #B3B3B3;
}

input:focus {
    border: 2px solid #4285f4;
}

button {
    padding: 5px;
}

button.btn {
    padding: 5px;
}

label {
    padding: 5px 0;
}


/* -------------------------------------- */
main.login-img{
    background-image: url("../img/login-bag.jpg") ;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}
main.login-img h1{
    color: steelblue;
    text-shadow: 2px 2px 0 white;
}
main.login-img h5{
    color: white;
    display: inline;
    text-shadow: 2px 2px 2px black;
    margin: 0 10px;

}
main.login-img a{
    color: white;
}

.loging {
    width: 500px;
    margin: 100px auto;

}

.loging fieldset {
    padding: 20px;
    border: 1px groove rgb(56, 102, 187);
    border-radius: .5em;

}
.loging p{
    width: 100%;
}

.loging input {
    display: block;
    margin-bottom: 10px;
    width: 100%;
}

.loging button {
    width: 200px;
    padding: 5px;
}


header {
    background: rgb(66, 159, 212);
    overflow: auto;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

header .appname {
    color: blue;
    font-size: 18px;
}

header .appname img {
    width: 70px;
    /* float: left; */
}

header .loggedin {
    color: white;
    margin: 0 10px;
}

header .loggedin i {
    color: white;
    font-size: 25px;
    margin-right: 5px;

}

header .loggedin a {
    color: white;
    text-decoration: none;
    margin-left: 15px;

}

header .compani {
    font-size: 18px;
    font-weight: 700;
    color: white;
    /* background: #B3B3B3; */

}

main {
    width: 1000px;
    height: 100%;
    margin: 2px auto 0 auto;
    padding: 10px;
    background-color: skyblue;
    border-radius: .5em;
}


div.hed {
    width: 100%;
    height: 50px;
    /* display: flex;
    align-items:center; */
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

div.hed div {
    display: flex;
    align-items: baseline;
}

div.hed a {
    margin-right: 10px;
}


div.serch {
    width: 500px;
    padding: 0 10px;
    margin: 0 auto;
    background: #90b7f5;
    border-radius: 1em;
}

div.data {
    width: 500px;
    padding: 10px;
    margin: 0 auto;
}

.f-g {
    width: 100%;
    padding: 5px 0;
}

.f-g label:first-child {
    width: 80px;
    float: left;
    text-align: right;
}

.f-g :nth-child(2) {
    width: 70%;
    margin-left: 5px;

}

.b-g {
    text-align: center;
}

.b-g button {
    width: 80px;
    text-align: center;
}

.b-g button i {
    margin: 0 5px;
}
div.form-check{
    margin-left: 90px;
}
div.serch {
    display: flex;
    align-items: center;
}

div.serch input {
    width: 336px;
    margin-left: 10px;
    background: #f3f1e3;
    color: blue;
}

div.serch button {
    margin-left: 20px;
}


div.pricelist {
    width: 400px;
    margin: 50px auto;
    background-color: rgb(128, 191, 196);
    padding: 10px;
}

.popup {
    /* display: none; */
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.progress {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: transparent;
}

.progress img {
    margin: auto;
    width: 100px;
}

tr.newprice td {
    background-color: lightseagreen;
}


#stock-table tbody tr.hl td {
    background-color: rgb(57, 240, 169);
}

table#stock-list td:nth-child(1){
    font-weight: bold;
    text-align: center;
    /* display: none; */
}
table tbody tr{
    cursor: pointer;
}

td.details-control {
    background: url('../img/add-16.png') no-repeat center center;
    cursor: pointer;
}

tr.shown td.details-control {
    background: url('../img/minus-16.png') no-repeat center center;
}

#stock-table_wrapper div.dt-layout-cell{
    padding: 5px 10px;
}


@media screen and (max-width : 1000px) {
    main {
        width: 100%;
    }
}

@media screen and (max-width : 768px) {
    header {
        display: block;
    }

    header .compani,
    header .loggedin {
        margin: 5px 0 0 0;
    }

    main.login-img h5{
        display: block;
        margin-bottom: 10px;
    }
}

@media screen and (max-width : 520px) {
    main.login-img{
        background-image: url("../img/login-bag-m.jpg") ;
    }

    main.login-img h5{
        font-size: 12px;
    }

    .loging{
        width: 100%;
        margin: 50px auto;
    }
    main {
        padding: 5px;
    }

    div.hed {
        height: auto;
        display: block;
    }

    div.hed div:nth-child(2) {
        float: right;
        padding-bottom: 5px;
    }

    table#stock-table tr th:nth-child(4), table#stock-table tr td:nth-child(4),table#stock-table tr th:nth-child(5), table#stock-table tr td:nth-child(5){
        /* display: none; */
    }

    div.serch,
    div.data {
        width: 100%;
        padding: 0;
    }

    #frm-serch {
        width: 70%;
    }

    div.serch input {
        width: 100%;
    }
    div.serch button {
        margin-left: 10px;
    }

    .f-g label:first-child {
        width: 60px;
    }

    .f-g :nth-child(2) {
        width: 75%;
    }
    div.pricelist {
        width: 100%;
    }
    table#stock-list td:nth-child(5), table#stock-list th:nth-child(5){
        display: none;
    }
    #item_search tr td:nth-child(1),#item_search tr th:nth-child(1){
        display: none;
    }

}

@media screen and (max-width : 351px) {

    main,    header {        width: 100%;
    }

    table#stock-table tr th:nth-child(6), table#stock-table tr td:nth-child(6){
        /* display: none; */
    }
}

@media screen and (max-width : 350px) {

    main,    header {        width: 350px;
    }
}